LOCAL_PATH := $(call my-dir)
_IMPORT_PREFIX := $(LOCAL_PATH)/../..

include $(CLEAR_VARS)
LOCAL_MODULE := QuotientQt6
LOCAL_SRC_FILES := $(_IMPORT_PREFIX)/./libQuotientQt6.a
LOCAL_CPP_FEATURES := rtti exceptions
# COMPATIBLE_INTERFACE_STRING Quotient_MAJOR_VERSION
# INTERFACE_COMPILE_DEFINITIONS $<$<STREQUAL:$<TARGET_PROPERTY:QuotientQt6,TYPE>,STATIC_LIBRARY>:QUOTIENT_STATIC>;Quotient_VERSION_MAJOR=0;Quotient_VERSION_MINOR=9;Quotient_VERSION_PATCH=1;Quotient_VERSION_STRING="0.9.1";Quotient_PRE_STAGE="";Quotient_E2EE_ENABLED
# INTERFACE_COMPILE_FEATURES cxx_std_23
LOCAL_SHARED_LIBRARIES := Qt6::Core Qt6::Network Qt6::Gui qt6keychain Qt6::Sql
LOCAL_STATIC_LIBRARIES := Olm::Olm OpenSSL::Crypto Qt6::CorePrivate
# INTERFACE_Quotient_MAJOR_VERSION 0.9
LOCAL_HAS_CPP := true
include $(PREBUILT_STATIC_LIBRARY)

if(NOT CMAKE_VERSION VERSION_LESS "3.23.0")
  target_sources(QuotientQt6
    INTERFACE
      FILE_SET "HEADERS"
      TYPE "HEADERS"
      BASE_DIRS "${_IMPORT_PREFIX}/include"
      FILES "${_IMPORT_PREFIX}/include/Quotient/quotient_common.h" "${_IMPORT_PREFIX}/include/Quotient/quotient_export.h" "${_IMPORT_PREFIX}/include/Quotient/function_traits.h" "${_IMPORT_PREFIX}/include/Quotient/omittable.h" "${_IMPORT_PREFIX}/include/Quotient/expected.h" "${_IMPORT_PREFIX}/include/Quotient/networkaccessmanager.h" "${_IMPORT_PREFIX}/include/Quotient/connectiondata.h" "${_IMPORT_PREFIX}/include/Quotient/connection.h" "${_IMPORT_PREFIX}/include/Quotient/connection_p.h" "${_IMPORT_PREFIX}/include/Quotient/ssosession.h" "${_IMPORT_PREFIX}/include/Quotient/logging_categories_p.h" "${_IMPORT_PREFIX}/include/Quotient/room.h" "${_IMPORT_PREFIX}/include/Quotient/roomstateview.h" "${_IMPORT_PREFIX}/include/Quotient/user.h" "${_IMPORT_PREFIX}/include/Quotient/roommember.h" "${_IMPORT_PREFIX}/include/Quotient/avatar.h" "${_IMPORT_PREFIX}/include/Quotient/uri.h" "${_IMPORT_PREFIX}/include/Quotient/uriresolver.h" "${_IMPORT_PREFIX}/include/Quotient/eventstats.h" "${_IMPORT_PREFIX}/include/Quotient/syncdata.h" "${_IMPORT_PREFIX}/include/Quotient/settings.h" "${_IMPORT_PREFIX}/include/Quotient/networksettings.h" "${_IMPORT_PREFIX}/include/Quotient/converters.h" "${_IMPORT_PREFIX}/include/Quotient/util.h" "${_IMPORT_PREFIX}/include/Quotient/ranges_extras.h" "${_IMPORT_PREFIX}/include/Quotient/eventitem.h" "${_IMPORT_PREFIX}/include/Quotient/accountregistry.h" "${_IMPORT_PREFIX}/include/Quotient/mxcreply.h" "${_IMPORT_PREFIX}/include/Quotient/database.h" "${_IMPORT_PREFIX}/include/Quotient/connectionencryptiondata_p.h" "${_IMPORT_PREFIX}/include/Quotient/keyverificationsession.h" "${_IMPORT_PREFIX}/include/Quotient/keyimport.h" "${_IMPORT_PREFIX}/include/Quotient/qt_connection_util.h" "${_IMPORT_PREFIX}/include/Quotient/application-service/definitions/location.h" "${_IMPORT_PREFIX}/include/Quotient/application-service/definitions/protocol.h" "${_IMPORT_PREFIX}/include/Quotient/application-service/definitions/user.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/account-data.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/admin.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/administrative_contact.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/appservice_room_directory.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/authed-content-repo.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/banning.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/capabilities.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/content-repo.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/create_room.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/cross_signing.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/device_management.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/directory.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/event_context.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/filter.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/inviting.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/joining.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/key_backup.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/keys.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/kicking.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/knocking.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/leaving.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/list_joined_rooms.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/list_public_rooms.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/login.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/login_token.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/logout.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/message_pagination.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/notifications.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/openid.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/peeking_events.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/presence.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/profile.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/pusher.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/pushrules.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/read_markers.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/receipts.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/redaction.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/refresh.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/registration.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/registration_tokens.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/relations.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/report_content.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/room_event_by_timestamp.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/room_send.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/room_state.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/room_upgrades.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/rooms.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/search.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/space_hierarchy.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/sso_login_redirect.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/support.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/tags.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/third_party_lookup.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/third_party_membership.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/threads_list.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/to_device.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/typing.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/users.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/versions.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/voip.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/wellknown.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/whoami.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/auth_data.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/client_device.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/cross_signing_key.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/device_keys.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/event_filter.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/key_backup_data.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/openid_token.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/public_rooms_response.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/push_condition.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/push_rule.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/push_ruleset.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/request_email_validation.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/request_msisdn_validation.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/request_token_response.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/room_event_filter.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/room_key_backup.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/sync_filter.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/tag.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/third_party_signed.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/user_identifier.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/wellknown/full.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/wellknown/homeserver.h" "${_IMPORT_PREFIX}/include/Quotient/csapi/definitions/wellknown/identity_server.h" "${_IMPORT_PREFIX}/include/Quotient/e2ee/e2ee_common.h" "${_IMPORT_PREFIX}/include/Quotient/e2ee/qolmaccount.h" "${_IMPORT_PREFIX}/include/Quotient/e2ee/qolmsession.h" "${_IMPORT_PREFIX}/include/Quotient/e2ee/qolminboundsession.h" "${_IMPORT_PREFIX}/include/Quotient/e2ee/qolmoutboundsession.h" "${_IMPORT_PREFIX}/include/Quotient/e2ee/qolmutility.h" "${_IMPORT_PREFIX}/include/Quotient/e2ee/qolmsession.h" "${_IMPORT_PREFIX}/include/Quotient/e2ee/qolmmessage.h" "${_IMPORT_PREFIX}/include/Quotient/e2ee/cryptoutils.h" "${_IMPORT_PREFIX}/include/Quotient/e2ee/sssshandler.h" "${_IMPORT_PREFIX}/include/Quotient/events/event.h" "${_IMPORT_PREFIX}/include/Quotient/events/roomevent.h" "${_IMPORT_PREFIX}/include/Quotient/events/stateevent.h" "${_IMPORT_PREFIX}/include/Quotient/events/single_key_value.h" "${_IMPORT_PREFIX}/include/Quotient/events/simplestateevents.h" "${_IMPORT_PREFIX}/include/Quotient/events/eventcontent.h" "${_IMPORT_PREFIX}/include/Quotient/events/eventrelation.h" "${_IMPORT_PREFIX}/include/Quotient/events/roomcreateevent.h" "${_IMPORT_PREFIX}/include/Quotient/events/roomtombstoneevent.h" "${_IMPORT_PREFIX}/include/Quotient/events/roommessageevent.h" "${_IMPORT_PREFIX}/include/Quotient/events/roommemberevent.h" "${_IMPORT_PREFIX}/include/Quotient/events/roomcanonicalaliasevent.h" "${_IMPORT_PREFIX}/include/Quotient/events/roomavatarevent.h" "${_IMPORT_PREFIX}/include/Quotient/events/roompowerlevelsevent.h" "${_IMPORT_PREFIX}/include/Quotient/events/typingevent.h" "${_IMPORT_PREFIX}/include/Quotient/events/accountdataevents.h" "${_IMPORT_PREFIX}/include/Quotient/events/receiptevent.h" "${_IMPORT_PREFIX}/include/Quotient/events/reactionevent.h" "${_IMPORT_PREFIX}/include/Quotient/events/callevents.h" "${_IMPORT_PREFIX}/include/Quotient/events/directchatevent.h" "${_IMPORT_PREFIX}/include/Quotient/events/encryptionevent.h" "${_IMPORT_PREFIX}/include/Quotient/events/encryptedevent.h" "${_IMPORT_PREFIX}/include/Quotient/events/roomkeyevent.h" "${_IMPORT_PREFIX}/include/Quotient/events/stickerevent.h" "${_IMPORT_PREFIX}/include/Quotient/events/filesourceinfo.h" "${_IMPORT_PREFIX}/include/Quotient/events/redactionevent.h" "${_IMPORT_PREFIX}/include/Quotient/events/keyverificationevent.h" "${_IMPORT_PREFIX}/include/Quotient/jobs/requestdata.h" "${_IMPORT_PREFIX}/include/Quotient/jobs/basejob.h" "${_IMPORT_PREFIX}/include/Quotient/jobs/jobhandle.h" "${_IMPORT_PREFIX}/include/Quotient/jobs/syncjob.h" "${_IMPORT_PREFIX}/include/Quotient/jobs/mediathumbnailjob.h" "${_IMPORT_PREFIX}/include/Quotient/jobs/downloadfilejob.h"
  )
else()
  set_property(TARGET QuotientQt6
    APPEND PROPERTY INTERFACE_INCLUDE_DIRECTORIES
      "${_IMPORT_PREFIX}/include"
  )
endif()

